# Using oslo.service

- Usage
  - Migrating to oslo.service
  - Launching and controlling services
- Backend System
  - Introduction
  - Why a Backend System?
  - How It Works
  - Backend Selection Mechanism
  - How to Select a Backend
  - Accessing Backend Components
  - Example Usage
  - Common Backend Errors and Exceptions
  - Understanding the Implications of Migrating from Eventlet to Threading
  - Test Setup in Devstack and CI Gates
  - References

- CHANGES

this page last updated: 2026-07-15 01:15:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug